<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__em__eeprom__macros" kind="group">
    <compoundname>group_em_eeprom_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__em__eeprom__macros_1gab0bf9bfb139a2298c6178b8e801c9614" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_MW_VERSION_MAJOR</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Library major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="764" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="764" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1ga15ba88c4930fbc76af0863e9aa2c7ece" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_MW_VERSION_MINOR</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Library minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="767" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="767" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1ga2ad924c909a5cf17ed0a6b9e78b674b6" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_ID</name>
        <initializer>(CY_PDL_DRV_ID(0x1BuL))</initializer>
        <briefdescription>
<para>Em_EEPROM PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="770" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="770" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1ga1bdd4ebbd18469d5f450b66a31bc649a" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_ID_ERROR</name>
        <initializer>((uint32_t)(<ref kindref="member" refid="group__group__em__eeprom__macros_1ga2ad924c909a5cf17ed0a6b9e78b674b6">CY_EM_EEPROM_ID</ref> | CY_PDL_STATUS_ERROR))</initializer>
        <briefdescription>
<para>A prefix for Em_EEPROM function error return-values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="773" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="773" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1gafcfe832fb11038d572c8616962459e51" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_FLASH_SIZEOF_ROW</name>
        <initializer>(CY_FLASH_SIZEOF_ROW)</initializer>
        <briefdescription>
<para>Defines the size of a flash row. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="776" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="776" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1gad3f22fd154e4be09faa0c3bf6de4c95e" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_EEPROM_DATA_LEN</name>
        <param><defname>simpleMode</defname></param>
        <initializer>(<ref kindref="member" refid="group__group__em__eeprom__macros_1gafcfe832fb11038d572c8616962459e51">CY_EM_EEPROM_FLASH_SIZEOF_ROW</ref> / (2uL - (simpleMode)))</initializer>
        <briefdescription>
<para>Defines the maximum data length that can be stored in one flash row. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="779" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="779" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1ga52c814cb9edacaf616d9e467480220b1" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_GET_NUM_ROWS_IN_EEPROM</name>
        <param><defname>dataSize</defname></param>
        <param><defname>simpleMode</defname></param>
        <initializer>((((dataSize) - 1uL) / (CY_EM_EEPROM_EEPROM_DATA_LEN(simpleMode))) + 1uL)</initializer>
        <briefdescription>
<para>The number of flash rows required to create an Em_EEPROM of dataSize. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="783" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="783" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1ga1362fc2cdec8a779fb71f9db031f8df5" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_GET_NUM_DATA</name>
        <param><defname>dataSize</defname></param>
        <param><defname>simpleMode</defname></param>
        <initializer>(<ref kindref="member" refid="group__group__em__eeprom__macros_1ga52c814cb9edacaf616d9e467480220b1">CY_EM_EEPROM_GET_NUM_ROWS_IN_EEPROM</ref>(dataSize, simpleMode) * \
                <ref kindref="member" refid="group__group__em__eeprom__macros_1gafcfe832fb11038d572c8616962459e51">CY_EM_EEPROM_FLASH_SIZEOF_ROW</ref>)</initializer>
        <briefdescription>
<para>Defines the maximum number of byte that can be stored in the Em_EEPROM storage. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="787" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="787" />
      </memberdef>
      <memberdef id="group__group__em__eeprom__macros_1gaedb7ebd5ea6efe79173c6582003420fb" kind="define" prot="public" static="no">
        <name>CY_EM_EEPROM_GET_PHYSICAL_SIZE</name>
        <param><defname>dataSize</defname></param>
        <param><defname>simpleMode</defname></param>
        <param><defname>wearLeveling</defname></param>
        <param><defname>redundantCopy</defname></param>
        <initializer>(<ref kindref="member" refid="group__group__em__eeprom__macros_1ga1362fc2cdec8a779fb71f9db031f8df5">CY_EM_EEPROM_GET_NUM_DATA</ref>(dataSize, simpleMode) * \
                ((((1uL - (simpleMode)) * (wearLeveling)) * ((redundantCopy) + 1uL)) + (simpleMode)))</initializer>
        <briefdescription>
<para>Returns the size of flash allocated for Em_EEPROM including wear leveling and a redundant copy overhead. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" bodystart="792" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-emeeprom/cy_em_eeprom.h" line="792" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section describes the Emulated EEPROM Macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>